Debian Bug report logs - #251875
ITP: libmarc-record-perl -- Perl extension for handling MARC records

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregor+debian@comodo.priv.at>

Date: Mon, 31 May 2004 14:03:01 UTC

Owned by: deckrider@yahoo.com

Severity: wishlist

Tags: patch

Fixed in version libmarc-record-perl/1.38-3

Done: gregor herrmann <gregor+debian@comodo.priv.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#251875; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <charles-debian-nospam@plessy.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libmarc-record-perl -- Perl extension for handling MARC records
Date: Mon, 31 May 2004 15:46:12 +0200
Package: wnpp
Severity: wishlist

I'm requesting a package of this library, because it is needed by
RefDB (RFPed Mon, 25 Feb 2002 21:48:09 UTC, #135746). Having this lib
as a package would make easier the use of checkintall to generate an
unofficial RefBD package.

--
Charles Plessy
Illkirch, France

* Package name    : libmarc-record-perl
  Version         : x.y.z
  Upstream Author : Name <somebody@example.org>
* URL             : http://www.example.org/
* License         : (GPL, LGPL, BSD, MIT/X, etc.)
  Description     : Perl extension for handling MARC records

(Include the long description here.)

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.24shadow
Locale: LANG=fr_FR.ISO-8859-15, LC_CTYPE=fr_FR.ISO-8859-15 (ignored: LC_ALL set to fr_FR@euro)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#251875; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 251875@bugs.debian.org (full text, mbox):

From: David Everly <deckrider@myrealbox.com>
To: 251875@bugs.debian.org
Subject: libmarc-record-perl
Date: Tue, 3 Aug 2004 17:08:37 -0600
[Message part 1 (text/plain, inline)]
I have packaged this but need a sponsor for upload.

It is currently available on my personal site using:

deb http://users.adelphia.net/~david.everly emilda/sarge/
deb-src http://users.adelphia.net/~david.everly emilda/sarge/

Description: Perl module for handling files of MARC::Record objects
 Defines MARC fields for use in the MARC::Record module.  I suppose
 you could use them on their own, but that wouldn't be very
 interesting.
 .
 This description was automagically extracted from the module by
 dh-make-perl.

/usr/share/doc/libmarc-record-perl/copyright:
--------------------------------------------

This package was debianized by David Everly <deckrider@yahoo.com>
on Wed, 14 Jul 2004 07:40:32 -0600.

It was downloaded from CPAN.

Upstream author: Andy Lester <andy@petdance.com>

This software is copyright (c) 2001-2002 by Andy Lester <marc@petdance.com>

This software is free software and may be distributed under the same
terms as Perl itself.

On Debian GNU/Linux systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL' and
the Artistic Licence in `/usr/share/common-licenses/Artistic'.

-- 
Encrypted Mail Preferred:
    Key ID:  8527B9AF
    Key Fingerprint:  E1B6 40B6 B73F 695E 0D3B  644E 6427 DD74 8527 B9AF
    Information:  http://www.gnupg.org/
                                                                                
ASCII ribbon campaign:
()  against HTML email
/\  against Microsoft attachments
    Information:  http://www.expita.com/nomime.html
[signature.asc (application/pgp-signature, inline)]

Owner recorded as David Everly <deckrider@yahoo.com>. Request was from David Everly <deckrider@myrealbox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from David Everly <deckrider@myrealbox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from David Everly <deckrider@myrealbox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from David Everly <deckrider@myrealbox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from David Everly <deckrider@yahoo.com> to deckrider@yahoo.com. Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Charles Plessy <charles-debian-nospam@plessy.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 251875-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 251875-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 02 Jan 2006 12:16:10 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 251875
thanks bts

Further comments on the work done in the bug sent to
251875@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@yahoo.com:
Bug#251875; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@yahoo.com. Full text and rfc822 format available.

Message #32 received at 251875@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: 251875@bugs.debian.org
Cc: control@bugs.debian.org, charles-debian-nospam@plessy.org, deckrider@yahoo.com, deckrider@gmail.com
Subject: Second attempt
Date: Sun, 5 Feb 2006 03:53:34 +0100
[Message part 1 (text/plain, inline)]
reopen 251875 !
thanks

I'd like to reopen this ITP and take it over, if this is ok for the
original submitter and the last ITP'er (cc'ing
<charles-debian-nospam@plessy.org> and <deckrider@yahoo.com> and
<deckrider@gmail.com> [0]). It's of course ok for me if David Everly
wants to continue his work on this package.

Here's a more complete description:

  * Package name    : libmarc-record-perl
    Version         : 1.38
    Upstream Author : Andy Lester <marc@petdance.com>
  * URL             : http://search.cpan.org/~petdance/MARC-Record-1.38/lib/MARC/Record.pm
  * License         : GPL or Artistic Licence
    Description     : Perl extension for handling MARC records

 The MARC::* series of modules create a simple object-oriented
 abstraction of MARC record handling.  The files are:
 .
 MARC::Doc::Tutorial
 A tutorial explaining how to use MARC::Record.
 .
 MARC::Record
 The core class for representing a single MARC record.
 .
 MARC::Field
 Another core class for representing a single field in a record.
 .
 MARC::Batch
 The basic object for access to a batch of one or more MARC records.
 .
 MARC::File
 Base class for the MARC file.
 .
 MARC::File::USMARC
 MARC::File::MicroLIF
 Subclasses of MARC::File specific to the USMARC and MicroLIF formats
 .
 MARC::Lint
 Extension to check MARC records for validity.

[0] taken from another ITP: #263821
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  infos zur usenet-hierarchie at.*: http://www.usenet.at/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator set to gregor herrmann <gregor+debian@comodo.priv.at>. Request was from gregor herrmann <gregor+debian@comodo.priv.at> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to gregor herrmann <gregor+debian@comodo.priv.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 251875-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: 251875-close@bugs.debian.org
Subject: Bug#251875: fixed in libmarc-record-perl 1.38-3
Date: Thu, 16 Mar 2006 16:24:26 -0800
Source: libmarc-record-perl
Source-Version: 1.38-3

We believe that the bug you reported is fixed in the latest version of
libmarc-record-perl, which is due to be installed in the Debian FTP archive:

libmarc-record-perl_1.38-3.diff.gz
  to pool/main/libm/libmarc-record-perl/libmarc-record-perl_1.38-3.diff.gz
libmarc-record-perl_1.38-3.dsc
  to pool/main/libm/libmarc-record-perl/libmarc-record-perl_1.38-3.dsc
libmarc-record-perl_1.38-3_all.deb
  to pool/main/libm/libmarc-record-perl/libmarc-record-perl_1.38-3_all.deb
libmarc-record-perl_1.38.orig.tar.gz
  to pool/main/libm/libmarc-record-perl/libmarc-record-perl_1.38.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 251875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregor+debian@comodo.priv.at> (supplier of updated libmarc-record-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 25 Feb 2006 19:36:57 +0100
Source: libmarc-record-perl
Binary: libmarc-record-perl
Architecture: source all
Version: 1.38-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregor+debian@comodo.priv.at>
Description: 
 libmarc-record-perl - Perl extension for handling MARC records
Closes: 251875
Changes: 
 libmarc-record-perl (1.38-3) unstable; urgency=low
 .
   * Initial upload to the Debian archive. (Closes: #251875)
   * Set debhelper compatibility level to 5.
   * Changed Maintainer to the Debian Perl Group before initial import to
     the pkg-perl svn repository.
Files: 
 dee5d22ffdfaeb3d72f352f7b1c04f5f 734 perl optional libmarc-record-perl_1.38-3.dsc
 4d1fead7e445c035113e3c18071e33fa 116535 perl optional libmarc-record-perl_1.38.orig.tar.gz
 20273f32e3f64d5082e94c9a784dfeed 2216 perl optional libmarc-record-perl_1.38-3.diff.gz
 21a9ada6648263181808fcba17c6ac6d 107176 perl optional libmarc-record-perl_1.38-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFEAObY+NMfSd6w7DERAicoAJ99OeWekk8iPRT3LN5sLcOAFCDjVgCgmSEb
KLH0wL9lkWH/P6It3+ASrQ4=
=QNoI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 18:21:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:09:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.